OpenNMS API 1.2.9

## org.opennms.protocols.snmp
Class SnmpSession.ByteArrayInfo

    java.lang.Object
      org.opennms.protocols.snmp.SnmpSession.ByteArrayInfo

Enclosing class:
  SnmpSession

private static class SnmpSession.ByteArrayInfo
extends java.lang.Object

Encapsulates a byte array and the number of bytes of valid data in the array. The length passed to the constructor is normally less then the length of the encapsulated array.

Field Summary
`private byte[]` `m_buf` The buffer
`private int` `m_length` The valid length of the buffer

Constructor Summary
`SnmpSession.ByteArrayInfo(byte[] buf, int length)` Builds an encapuslated array with the passed buffer and its valid length set to length.

Method Summary
`byte[]` `array()` returns the encapsulated array
`int` `size()` Returns the valid length of the encapsulate array

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_buf

    private byte[] m_buf

  The buffer

### m_length

    private int m_length

  The valid length of the buffer

Constructor Detail

### SnmpSession.ByteArrayInfo

    public SnmpSession.ByteArrayInfo(byte[] buf,
                                     int length)

  Builds an encapuslated array with the passed buffer and its valid length set to length.

Parameters:
  `buf` - The buffer.
  `length` - The valid length of the buffer.

Method Detail

### array

    public byte[] array()

  returns the encapsulated array

### size

    public int size()

  Returns the valid length of the encapsulate array

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.